﻿' DailyReminders.cs by Charles Petzold, March 2009

Imports Microsoft.VisualBasic
Imports System
Imports System.Diagnostics
Imports System.Windows
Imports System.Windows.Media

Namespace DailyReminders
	Partial Public Class DailyReminders
		Inherits Window
		<STAThread> _
		Public Shared Sub Main()
			' Can't have two instances of DailyRemindersCalendar runnning at same time 
			'  because of possible storage conflict
			Dim thisProcess As Process = Process.GetCurrentProcess()

			For Each process As Process In Process.GetProcessesByName(thisProcess.ProcessName)
				If process.Id <> thisProcess.Id Then
					MessageBox.Show("Only one instance of DailyReminders can be running at any time", "Daily Reminders")
					Return
				End If
			Next process

			Dim app As New Application()
			app.Run(New DailyReminders())
		End Sub

		Public Sub New()
			Title = "Daily Reminders"
			ResizeMode = ResizeMode.CanMinimize
			WindowStyle = WindowStyle.SingleBorderWindow
			SizeToContent = SizeToContent.WidthAndHeight

			Dim cal As New DailyRemindersCalendar()
			cal.LayoutTransform = New ScaleTransform(1.5, 1.5)
			Content = cal
		End Sub
	End Class
End Namespace
