﻿' DailyRemindersCalendar.cs by Charles Petzold, March 2009

Imports Microsoft.VisualBasic
Imports System
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Input
Imports Microsoft.Windows.Controls
Imports Microsoft.Windows.Controls.Primitives

Namespace DailyReminders
	Public Class DailyRemindersCalendar
		Inherits Calendar
		Private Shared storage As New DailyRemindersStorage()

		Shared Sub New()
			SelectionModeProperty.OverrideMetadata(GetType(DailyRemindersCalendar), New FrameworkPropertyMetadata(CalendarSelectionMode.None))
		End Sub

		Protected Overrides Sub OnMouseDoubleClick(ByVal args As MouseButtonEventArgs)
			If args.ChangedButton <> MouseButton.Left Then
				Return
			End If

			If TypeOf args.OriginalSource Is FrameworkElement AndAlso TypeOf (TryCast(args.OriginalSource, FrameworkElement)).DataContext Is DateTime Then
				Dim dateTime As DateTime = CDate((TryCast(args.OriginalSource, FrameworkElement)).DataContext)

				' Check to see if this one is already loaded
				Dim windows As WindowCollection = Application.Current.Windows

				For Each window As Window In windows
                    If TypeOf window Is DailyRemindersDialog AndAlso CDate(window.DataContext) = dateTime Then
                        window.Focus()
                        Return
                    End If
				Next window

				' Otherwise, create a new dialog
				Dim dlg As New DailyRemindersDialog(Application.Current.MainWindow, storage, dateTime)
				dlg.DataContext = dateTime
				dlg.Show()
			End If

			MyBase.OnMouseDoubleClick(args)
		End Sub
	End Class
End Namespace
